package org.bitbucket.bradleysmithllc.etlagent.informatica.provider;

import java.util.List;

public class VelocityBean
{
	private final List<String> folders;
	private final String informaticaRepository;
	private final String folderPrefix;

	public VelocityBean(String folderPrefix, String informaticaRepository, List<String> folders) {
		this.folderPrefix = folderPrefix;
		this.informaticaRepository = informaticaRepository;
		this.folders = folders;
	}

	public List<String> getFolders()
	{
		return folders;
	}

	public String prepareTargetFolderName(String folder)
	{
		return folderPrefix + "_" + folder;
	}

	public String getInformaticaRepositoryName()
	{
		return informaticaRepository;
	}
}
